<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>Client (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Client (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Client.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html" title="class in org.apache.nutch.protocol.ftp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/ftp/Client.html" target="_top">Frames</a></li>
<li><a href="Client.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.net.ftp.FTP">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.protocol.ftp</div>
<h2 title="Class Client" class="title">Class Client</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.net.SocketClient</li>
<li>
<ul class="inheritance">
<li>org.apache.commons.net.ftp.FTP</li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.protocol.ftp.Client</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Client</span>
extends org.apache.commons.net.ftp.FTP</pre>
<div class="block">Client.java encapsulates functionalities necessary for nutch to get dir list
 and retrieve file from an FTP server. This class takes care of all low level
 details of interacting with an FTP server and provides a convenient higher
 level interface.
 
 Modified from FtpClient.java in apache commons-net.
 
 Notes by John Xing: ftp server implementations are hardly uniform and none
 seems to follow RFCs whole-heartedly. We have no choice, but assume common
 denominator as following: (1) Use stream mode for data transfer. Block mode
 will be better for multiple file downloading and partial file downloading.
 However not every ftpd has block mode support. (2) Use passive mode for data
 connection. So Nutch will work if we run behind firewall. (3) Data connection
 is opened/closed per ftp command for the reasons listed in (1). There are ftp
 servers out there, when partial downloading is enforced by closing data
 channel socket on our client side, the server side immediately closes control
 channel (socket). Our codes deal with such a bad behavior. (4) LIST is used
 to obtain remote file attributes if possible. MDTM and SIZE would be nice, but
 not as ubiquitously implemented as LIST. (5) Avoid using ABOR in single
 thread? Do not use it at all.
 
 About exceptions: Some specific exceptions are re-thrown as one of
 FtpException*.java In fact, each function throws FtpException*.java or pass
 IOException.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>John Xing</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.net.ftp.FTP">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.commons.net.ftp.FTP</h3>
<code>_commandSupport_, _controlEncoding, _controlInput_, _controlOutput_, _newReplyString, _replyCode, _replyLines, _replyString, ASCII_FILE_TYPE, BINARY_FILE_TYPE, BLOCK_TRANSFER_MODE, CARRIAGE_CONTROL_TEXT_FORMAT, COMPRESSED_TRANSFER_MODE, DEFAULT_CONTROL_ENCODING, DEFAULT_DATA_PORT, DEFAULT_PORT, EBCDIC_FILE_TYPE, FILE_STRUCTURE, LOCAL_FILE_TYPE, NON_PRINT_TEXT_FORMAT, PAGE_STRUCTURE, RECORD_STRUCTURE, REPLY_CODE_LEN, STREAM_TRANSFER_MODE, strictMultilineParsing, TELNET_TEXT_FORMAT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.net.SocketClient">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.commons.net.SocketClient</h3>
<code>_defaultPort_, _hostname_, _input_, _output_, _serverSocketFactory_, _socket_, _socketFactory_, _timeout_, connectTimeout, NETASCII_EOL</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#Client--">Client</a></span>()</code>
<div class="block">Public default constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net">Socket</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#Z:Z__openPassiveDataConnection-int-java.lang.String-">__openPassiveDataConnection</a></span>(int&nbsp;command,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;arg)</code>
<div class="block">open a passive data connection socket</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#disconnect--">disconnect</a></span>()</code>
<div class="block">Closes the connection to the FTP server and restores connection parameters
 to the default values.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#getSystemName--">getSystemName</a></span>()</code>
<div class="block">Fetches the system type name from the server and returns the string.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#isRemoteVerificationEnabled--">isRemoteVerificationEnabled</a></span>()</code>
<div class="block">Return whether or not verification of the remote host participating in data
 connections is enabled.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#login-java.lang.String-java.lang.String-">login</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;username,
     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>
<div class="block">Login to the FTP server using the provided username and password.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#logout--">logout</a></span>()</code>
<div class="block">Logout of the FTP server by sending the QUIT command.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#retrieveFile-java.lang.String-java.io.OutputStream-int-">retrieveFile</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;os,
            int&nbsp;limit)</code>
<div class="block">retrieve file for path</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#retrieveList-java.lang.String-java.util.List-int-org.apache.commons.net.ftp.FTPFileEntryParser-">retrieveList</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.apache.commons.net.ftp.FTPFile&gt;&nbsp;entries,
            int&nbsp;limit,
            org.apache.commons.net.ftp.FTPFileEntryParser&nbsp;parser)</code>
<div class="block">retrieve list reply for path</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#sendNoOp--">sendNoOp</a></span>()</code>
<div class="block">Sends a NOOP command to the FTP server.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#setDataTimeout-int-">setDataTimeout</a></span>(int&nbsp;timeout)</code>
<div class="block">Sets the timeout in milliseconds to use for data connection.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#setFileType-int-">setFileType</a></span>(int&nbsp;fileType)</code>
<div class="block">Sets the file type to be transferred.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/protocol/ftp/Client.html#setRemoteVerificationEnabled-boolean-">setRemoteVerificationEnabled</a></span>(boolean&nbsp;enable)</code>
<div class="block">Enable or disable verification that the remote host taking part of a data
 connection is the same as the host to which the control connection is
 attached.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.net.ftp.FTP">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.net.ftp.FTP</h3>
<code>__getReplyNoReport, __noop, _connectAction_, _connectAction_, abor, acct, allo, allo, appe, cdup, cwd, dele, eprt, epsv, feat, getCommandSupport, getControlEncoding, getReply, getReplyCode, getReplyString, getReplyStrings, help, help, isStrictMultilineParsing, isStrictReplyParsing, list, list, mdtm, mfmt, mkd, mlsd, mlsd, mlst, mlst, mode, nlst, nlst, noop, pass, pasv, port, pwd, quit, rein, rest, retr, rmd, rnfr, rnto, sendCommand, sendCommand, sendCommand, sendCommand, sendCommand, sendCommand, setControlEncoding, setStrictMultilineParsing, setStrictReplyParsing, site, smnt, stat, stat, stor, stou, stou, stru, syst, type, type, user</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.net.SocketClient">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.net.SocketClient</h3>
<code>addProtocolCommandListener, connect, connect, connect, connect, connect, connect, createCommandSupport, fireCommandSent, fireReplyReceived, getCharset, getCharsetName, getConnectTimeout, getDefaultPort, getDefaultTimeout, getKeepAlive, getLocalAddress, getLocalPort, getProxy, getReceiveBufferSize, getRemoteAddress, getRemotePort, getSendBufferSize, getServerSocketFactory, getSoLinger, getSoTimeout, getTcpNoDelay, isAvailable, isConnected, removeProtocolCommandListener, setCharset, setConnectTimeout, setDefaultPort, setDefaultTimeout, setKeepAlive, setProxy, setReceiveBufferSize, setSendBufferSize, setServerSocketFactory, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Client--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Client</h4>
<pre>public&nbsp;Client()</pre>
<div class="block">Public default constructor</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="Z:Z__openPassiveDataConnection-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>__openPassiveDataConnection</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/net/Socket.html?is-external=true" title="class or interface in java.net">Socket</a>&nbsp;__openPassiveDataConnection(int&nbsp;command,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;arg)
                                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                             <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionCanNotHaveDataConnection</a></pre>
<div class="block">open a passive data connection socket</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>command</code> - </dd>
<dd><code>arg</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionCanNotHaveDataConnection</a></code></dd>
</dl>
</li>
</ul>
<a name="setDataTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDataTimeout</h4>
<pre>public&nbsp;void&nbsp;setDataTimeout(int&nbsp;timeout)</pre>
<div class="block">Sets the timeout in milliseconds to use for data connection. set
 immediately after opening the data connection.</div>
</li>
</ul>
<a name="disconnect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disconnect</h4>
<pre>public&nbsp;void&nbsp;disconnect()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Closes the connection to the FTP server and restores connection parameters
 to the default values.
 <p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>disconnect</code>&nbsp;in class&nbsp;<code>org.apache.commons.net.ftp.FTP</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If an error occurs while disconnecting.</dd>
</dl>
</li>
</ul>
<a name="setRemoteVerificationEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRemoteVerificationEnabled</h4>
<pre>public&nbsp;void&nbsp;setRemoteVerificationEnabled(boolean&nbsp;enable)</pre>
<div class="block">Enable or disable verification that the remote host taking part of a data
 connection is the same as the host to which the control connection is
 attached. The default is for verification to be enabled. You may set this
 value at any time, whether the FTPClient is currently connected or not.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enable</code> - True to enable verification, false to disable verification.</dd>
</dl>
</li>
</ul>
<a name="isRemoteVerificationEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRemoteVerificationEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isRemoteVerificationEnabled()</pre>
<div class="block">Return whether or not verification of the remote host participating in data
 connections is enabled. The default behavior is for verification to be
 enabled.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if verification is enabled, false if not.</dd>
</dl>
</li>
</ul>
<a name="login-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>login</h4>
<pre>public&nbsp;boolean&nbsp;login(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;username,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Login to the FTP server using the provided username and password.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>username</code> - The username to login under.</dd>
<dd><code>password</code> - The password to use.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if successfully completed, false if not.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.commons.net.ftp.FTPConnectionClosedException</code> - If the FTP server prematurely closes the connection as a
              result of the client being idle or some other reason causing
              the server to send FTP reply code 421. This exception may be
              caught either as an IOException or independently as itself.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If an I/O error occurs while either sending a command to the
              server or receiving a reply from the server.</dd>
</dl>
</li>
</ul>
<a name="logout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logout</h4>
<pre>public&nbsp;boolean&nbsp;logout()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Logout of the FTP server by sending the QUIT command.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if successfully completed, false if not.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.commons.net.ftp.FTPConnectionClosedException</code> - If the FTP server prematurely closes the connection as a
              result of the client being idle or some other reason causing
              the server to send FTP reply code 421. This exception may be
              caught either as an IOException or independently as itself.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If an I/O error occurs while either sending a command to the
              server or receiving a reply from the server.</dd>
</dl>
</li>
</ul>
<a name="retrieveList-java.lang.String-java.util.List-int-org.apache.commons.net.ftp.FTPFileEntryParser-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveList</h4>
<pre>public&nbsp;void&nbsp;retrieveList(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.apache.commons.net.ftp.FTPFile&gt;&nbsp;entries,
                         int&nbsp;limit,
                         org.apache.commons.net.ftp.FTPFileEntryParser&nbsp;parser)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                         <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionCanNotHaveDataConnection</a>,
                         <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionUnknownForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionUnknownForcedDataClose</a>,
                         <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionControlClosedByForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionControlClosedByForcedDataClose</a></pre>
<div class="block">retrieve list reply for path</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - </dd>
<dd><code>entries</code> - </dd>
<dd><code>limit</code> - </dd>
<dd><code>parser</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionCanNotHaveDataConnection</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionUnknownForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionUnknownForcedDataClose</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionControlClosedByForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionControlClosedByForcedDataClose</a></code></dd>
</dl>
</li>
</ul>
<a name="retrieveFile-java.lang.String-java.io.OutputStream-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveFile</h4>
<pre>public&nbsp;void&nbsp;retrieveFile(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;os,
                         int&nbsp;limit)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                         <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionCanNotHaveDataConnection</a>,
                         <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionUnknownForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionUnknownForcedDataClose</a>,
                         <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionControlClosedByForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionControlClosedByForcedDataClose</a></pre>
<div class="block">retrieve file for path</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - </dd>
<dd><code>os</code> - </dd>
<dd><code>limit</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionCanNotHaveDataConnection.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionCanNotHaveDataConnection</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionUnknownForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionUnknownForcedDataClose</a></code></dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionControlClosedByForcedDataClose.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionControlClosedByForcedDataClose</a></code></dd>
</dl>
</li>
</ul>
<a name="setFileType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileType</h4>
<pre>public&nbsp;boolean&nbsp;setFileType(int&nbsp;fileType)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Sets the file type to be transferred. This should be one of
 <code> FTP.ASCII_FILE_TYPE </code>, <code> FTP.IMAGE_FILE_TYPE </code>,
 etc. The file type only needs to be set when you want to change the type.
 After changing it, the new type stays in effect until you change it again.
 The default file type is <code> FTP.ASCII_FILE_TYPE </code> if this method
 is never called.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileType</code> - The <code> _FILE_TYPE </code> constant indcating the type of file.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if successfully completed, false if not.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.commons.net.ftp.FTPConnectionClosedException</code> - If the FTP server prematurely closes the connection as a
              result of the client being idle or some other reason causing
              the server to send FTP reply code 421. This exception may be
              caught either as an IOException or independently as itself.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If an I/O error occurs while either sending a command to the
              server or receiving a reply from the server.</dd>
</dl>
</li>
</ul>
<a name="getSystemName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSystemName()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                            <a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionBadSystResponse.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionBadSystResponse</a></pre>
<div class="block">Fetches the system type name from the server and returns the string. This
 value is cached for the duration of the connection after the first call to
 this method. In other words, only the first time that you invoke this
 method will it issue a SYST command to the FTP server. FTPClient will
 remember the value and return the cached value until a call to disconnect.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The system type name obtained from the server. null if the
         information could not be obtained.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.commons.net.ftp.FTPConnectionClosedException</code> - If the FTP server prematurely closes the connection as a
              result of the client being idle or some other reason causing
              the server to send FTP reply code 421. This exception may be
              caught either as an IOException or independently as itself.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If an I/O error occurs while either sending a command to the
              server or receiving a reply from the server.</dd>
<dd><code><a href="../../../../../org/apache/nutch/protocol/ftp/FtpExceptionBadSystResponse.html" title="class in org.apache.nutch.protocol.ftp">FtpExceptionBadSystResponse</a></code></dd>
</dl>
</li>
</ul>
<a name="sendNoOp--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sendNoOp</h4>
<pre>public&nbsp;boolean&nbsp;sendNoOp()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Sends a NOOP command to the FTP server. This is useful for preventing
 server timeouts.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if successfully completed, false if not.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.apache.commons.net.ftp.FTPConnectionClosedException</code> - If the FTP server prematurely closes the connection as a
              result of the client being idle or some other reason causing
              the server to send FTP reply code 421. This exception may be
              caught either as an IOException or independently as itself.</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - If an I/O error occurs while either sending a command to the
              server or receiving a reply from the server.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Client.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/protocol/ftp/Ftp.html" title="class in org.apache.nutch.protocol.ftp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/protocol/ftp/Client.html" target="_top">Frames</a></li>
<li><a href="Client.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.net.ftp.FTP">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
